Bug 697878 - IPA server install should wait for Directory Server port to open after every restart of dirsrv
Summary: IPA server install should wait for Directory Server port to open after every ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-19 14:41 UTC by Namita Soman
Modified: 2015-01-04 23:48 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The IPA server installation may fail with the error that it cannot contact the LDAP server. Consequence: The IPA server installation failed. Fix: Always wait for the 389-ds server to be fully started after a restart before continuing the installation. Result: The IPA server installation is successful.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:21:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-04-19 14:41:24 UTC
Description of problem:
This is a continuation of the behaviour seen when verifying bug 688934. Based on Martin's Comment 9, opening this bug, to keep track of the rest of the cases that need to be addressed in the installer.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Martin Kosek 2011-04-19 15:20:29 UTC
Upstream ticket:

https://fedorahosted.org/freeipa/ticket/1182

Comment 5 Martin Kosek 2011-04-28 08:01:30 UTC
Upstream commits:
master: 98eefab5e15c4a01f0887c4c68cbe10b5cdaab84
ipa-2-0: 425e2fa31ff2f3346437b6d6e50225202652cafd

Comment 7 Rob Crittenden 2011-10-31 17:57:39 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The IPA server installation may fail with the error that it cannot contact the LDAP server.
Consequence: The IPA server installation failed.
Fix: Always wait for the 389-ds server to be fully started after a restart before continuing the installation.
Result: The IPA server installation is successful.

Comment 8 Namita Soman 2011-11-04 19:22:42 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

edited /etc/init.d/dirsrv as suggested in bug 688934. saw the install hang, and fail as expected. Next install, after unblocking ports, install continued, and was successful.

Comment 9 errata-xmlrpc 2011-12-06 18:21:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.